/* JFox, the OpenSource J2EE Application Server
 *
 * Distributable under GNU LGPL license by gun.org
 * more details please visit http://www.huihoo.org/jfox
 */

package org.jfox.framework;

/**
 * @author <a href="mailto:young_yy@hotmail.com">Young Yang</a>
 */

public interface ComponentFactory {

    /**
     * make a component instance
     *
     * @return
     */
    public Component makeComponent() throws ComponentException;

    public ComponentName getComponentName();

    public Class getImplementation();

    public Parameter[] getParameters();

    public Registry getRegistry();

    public void setRegistry(Registry registry);

}